@echo off
REM This batch file is used to solve the libSDL_mixer.dll.a  and libSDL_image.dll.a  no such file or directory issue.

SET DIST_DIR_BASE=dist
SET DEBUG_DIR_BASE=debug
SET DIST_DIR=..\..\%DIST_DIR_BASE%
SET DEBUG_DIR=..\%DEBUG_DIR_BASE%

echo Moving to dist
cd %DIST_DIR%
echo Seeing if libSDL_image.dll.a exist
if exist libSDL_image.dll.a (
	echo Renaming libSDL_image.dll.a...
	ren libSDL_image.dll.a libSDL_image.a
	) else (
echo libSDL_image.dll.a does not exist.
	)

	echo Seeing if libSDL_mixer.dll.a exist
if exist libSDL_mixer.dll.a (
	echo Renaming libSDL_mixer.dll.a...
	ren libSDL_mixer.dll.a libSDL_mixer.a
	) else (
echo libSDL_mixer.dll.a does not exist.
	)




echo Moving to debug
cd %DEBUG_DIR%
echo Seeing if libSDL_image.dll.a exist
if exist libSDL_image.dll.a (
	echo Renaming libSDL_image.dll.a...
	ren libSDL_image.dll.a libSDL_image.a
	) else (
echo libSDL_image.dll.a does not exist.
	)

	echo Seeing if libSDL_mixer.dll.a exist
if exist libSDL_mixer.dll.a (
	echo Renaming libSDL_mixer.dll.a...
	ren libSDL_mixer.dll.a libSDL_mixer.a
	) else (
echo libSDL_mixer.dll.a does not exist.
	)



echo done!
pause
